Support » Plugin: Easy FancyBox » Updated Fancybox not working with updated NextGen Gallery

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author RavanH

    (@ravanh)

    Somewhere down the page content source code, I find this code snippet:

    <script type="text/javascript" src="http://www.google.com/jsapi"></script>
    <script>
    google.load("jquery", "1.4.2");
    </script>

    You need to remove that because it overloads the already loaded jQuery version 1.8.3 with the much older version 1.4.2 which is missing important methods needed by the Easy FancyBox 1.5.0 …

    Got it. The conflict was with the plugin “WP Comparison Charts.” I thought I’d checked all my plugins, but I must have missed that one. Thanks!

    I have the same jQuery version, if I understand correctly, I need to remove this ? If so I did this and FancyBox continues not to work ?

    Plugin Author RavanH

    (@ravanh)

    @xfactory, your issue might be something else. Can you share a link?

    Link

    Click any of the images, Easy Fancy Box won’t load, instead it will load the image in a clean window, so to speak.

    Plugin Author RavanH

    (@ravanh)

    @xfactory indeed you are suffering from older versions of jQuery. Yes, versions. In the source head, where jQuery usually loads, I see:

    <script type='text/javascript' src='https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js?ver=1.6.2'></script>

    and then further down I see this line that seems to be hard-coded in your themes header.php:

    <script type="text/javascript" src="http://www.thecreativesheep.ca/bio/wp-content/themes/Bio_3D_Design/includes/jquery-1.4.2.min.js"></script>

    You need to make that first one use a newer version of jQuery and you need to make that second one disappear. Or downgrade Easy FancyBox.

    I knew that was the case, thank you. I’ve got to fix this once and for all 🙂

    I am having the same problem as Xfactory.. on my websites gallery when the images are clicked the fancy box affect won’t load but only loads the image in a new page. I just updated both WP and NextGen Gallery and I only noticed the problem afterward. @ravanh I am confused as to what exactly to do. If you could go into more detail that would be great as I am still get the hang of wordpress. Cheers!

    Plugin Author RavanH

    (@ravanh)

    @joshyimps it looks like you have disabled Easy FancyBox so I cannot debug.
    One tip: there is an option in the Yoast’s Google Analytics plugin to track outbound link clicks which might prevent FancyBox from firing… You might want to test this.

    RavanH – If I understood correctly from one of the post in this thread, the latest version of EasyFancyBox needs jQuery 1.8.3, fortunate for me, that is the max version I can upgrade to without breaking my theme (or upgrading the code, hopefully) but The latest version of EasyFancyBox continues not to work even upgrading to jQuery 1.8.3 ?

    Plugin Author RavanH

    (@ravanh)

    @xfactory the latest version of Easy FancyBox needs jQuery 1.7+ and should work with jQuery 1.9+ too (except for one issue with Inline content that will be solved in the upcoming version) so if you are having issues using jQuery 1.8.3 with Easy FancyBox 1.5.0 then there is something else going wrong. But looking at your site (link from earlier post in this thread) I can find nothing wrong. It’s just working fine. Maybe you need to clear your browser cache?

    It works, thank you 🙂

    On my page navigation with keyboard and mouse doesn’t work anymore. Could you check it? Thanks in advance!

    Since 1.9.13 I have Easy FancyBox plugin enabled, NextGEN Gallery enabled, and disabled all other plugins. cleared cache. Still when I click on a thumbnail from the gallery it opens in separate window. Here is a page Examples . Thank you for any suggestions you can provide.

    Plugin Author RavanH

    (@ravanh)

    @raven7 follow the instructions under Will a NextGen gallery be displayed in a FancyBox overlay ? on http://wordpress.org/plugins/easy-fancybox/faq/

    @alawishus your theme is using its own, old version of JQuery:

    <script type='text/javascript' src='http://alawishus.com/wp-content/themes/widely/script/jquery/jquery-1.5.1.min.js?ver=3.5.2'></script>

    with which the new Easy FancyBox plugin is incompatible. You need to either modify (update) your theme or revert my plugin to http://downloads.wordpress.org/plugin/easy-fancybox.1.3.4.9.zip (download then upload via FTP overwriting current plugin files)

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Updated Fancybox not working with updated NextGen Gallery’ is closed to new replies.